import { StackDetailsPayload } from '../../../actions/list';
import { AssemblyData, Duration, ErrorPayload, StackAndAssemblyData } from '../../../toolkit/types';
import { StackActivity, StackMonitoringControlEvent } from '../../aws-cdk';
import { MissingContext, UpdatedContext } from '../../cloud-assembly/context';
import * as make from '../../shared-private';
/**
 * We have a rough system by which we assign message codes:
 * - First digit groups messages by action, e.g. synth or deploy
 * - X000-X009 are reserved for timings
 * - X900-X999 are reserved for results
 */
export declare const CODES: {
    CDK_TOOLKIT_I1000: make.IoMessageMaker<Duration>;
    CDK_TOOLKIT_I1901: make.IoMessageMaker<StackAndAssemblyData>;
    CDK_TOOLKIT_I1902: make.IoMessageMaker<AssemblyData>;
    CDK_TOOLKIT_I2901: make.IoMessageMaker<StackDetailsPayload>;
    CDK_TOOLKIT_E3900: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I5000: make.IoMessageMaker<Duration>;
    CDK_TOOLKIT_I5001: make.IoMessageMaker<Duration>;
    CDK_TOOLKIT_I5002: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I5031: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I5050: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I5060: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I5501: make.IoMessageMaker<StackMonitoringControlEvent>;
    CDK_TOOLKIT_I5502: make.IoMessageMaker<StackActivity>;
    CDK_TOOLKIT_I5503: make.IoMessageMaker<StackMonitoringControlEvent>;
    CDK_TOOLKIT_I5900: make.IoMessageMaker<object>;
    CDK_TOOLKIT_E5001: make.IoMessageMaker<never>;
    CDK_TOOLKIT_E5500: make.IoMessageMaker<ErrorPayload>;
    CDK_TOOLKIT_I6000: make.IoMessageMaker<Duration>;
    CDK_TOOLKIT_E6001: make.IoMessageMaker<never>;
    CDK_TOOLKIT_E6900: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I7000: make.IoMessageMaker<Duration>;
    CDK_TOOLKIT_I7010: make.IoMessageMaker<never>;
    CDK_TOOLKIT_E7010: make.IoMessageMaker<never>;
    CDK_TOOLKIT_E7900: make.IoMessageMaker<never>;
    CDK_TOOLKIT_I9000: make.IoMessageMaker<Duration>;
    CDK_TOOLKIT_I9900: make.IoMessageMaker<never>;
    CDK_TOOLKIT_E9900: make.IoMessageMaker<never>;
    CDK_ASSEMBLY_I0042: make.IoMessageMaker<UpdatedContext>;
    CDK_ASSEMBLY_I0241: make.IoMessageMaker<MissingContext>;
    CDK_ASSEMBLY_I1000: make.IoMessageMaker<never>;
    CDK_ASSEMBLY_I1001: make.IoMessageMaker<never>;
    CDK_ASSEMBLY_E1002: make.IoMessageMaker<never>;
    CDK_ASSEMBLY_I1003: make.IoMessageMaker<never>;
    CDK_ASSEMBLY_E1111: make.IoMessageMaker<ErrorPayload>;
};
