"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// lib/api/shared-private.ts
var shared_private_exports = {};
__export(shared_private_exports, {
  debug: () => debug,
  error: () => error,
  info: () => info,
  result: () => result,
  trace: () => trace,
  warn: () => warn,
  withAction: () => withAction
});
module.exports = __toCommonJS(shared_private_exports);

// ../tmp-toolkit-helpers/src/api/io/private/action-aware.ts
function withAction(ioHost, action) {
  return {
    notify: async (msg) => {
      await ioHost.notify({
        ...msg,
        action
      });
    },
    requestResponse: async (msg) => {
      return ioHost.requestResponse({
        ...msg,
        action
      });
    }
  };
}

// ../tmp-toolkit-helpers/src/api/io/private/message-maker.ts
function generic(level, details) {
  const msg = (message, data) => ({
    time: /* @__PURE__ */ new Date(),
    level,
    code: details.code,
    message,
    data
  });
  return {
    ...details,
    level,
    msg
  };
}
var trace = (details) => generic("trace", details);
var debug = (details) => generic("debug", details);
var info = (details) => generic("info", details);
var warn = (details) => generic("warn", details);
var error = (details) => generic("error", details);
var result = (details) => generic("result", details);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  debug,
  error,
  info,
  result,
  trace,
  warn,
  withAction
});
//# sourceMappingURL=shared-private.js.map
