import { SdkProvider } from '../../api/aws-cdk';
import { ICloudAssemblySource } from '../../api/cloud-assembly';
import { StackAssembly } from '../../api/cloud-assembly/private';
import { ActionAwareIoHost } from '../../api/shared-private';
/**
 * Helper struct to pass internal services around.
 */
export interface ToolkitServices {
    sdkProvider: SdkProvider;
    ioHost: ActionAwareIoHost;
}
/**
 * Creates a Toolkit internal CloudAssembly from a CloudAssemblySource.
 * @param assemblySource the source for the cloud assembly
 * @param cache if the assembly should be cached, default: `true`
 * @returns the CloudAssembly object
 */
export declare function assemblyFromSource(assemblySource: ICloudAssemblySource, cache?: boolean): Promise<StackAssembly>;
